player_ranger_data_rangestamped Struct Reference

Data: Stamped range scan (PLAYER_RANGER_DATA_RANGESTAMPED) More...

`#include <player_interfaces.h>`

## Public Attributes

player_ranger_data_range_t | data
| The scan data. More...
uint8_t | have_geom
| If non-zero, the geometry data has been filled. More...
player_ranger_geom_t | geom
| The geometry of the device at the time the scan was acquired. More...
uint8_t | have_config
| If non-zero, the configuration data has been filled. More...
player_ranger_config_t | config
| The sensor configuration at the time the scan was acquired. More...

## Detailed Description

Data: Stamped range scan (PLAYER_RANGER_DATA_RANGESTAMPED)

A range scan optionally with the (possibly estimated) geometry of the device when the scan was acquired and optional sensor configuration.

## Member Data Documentation

player_ranger_config_t player_ranger_data_rangestamped::config

The sensor configuration at the time the scan was acquired.

player_ranger_data_range_t player_ranger_data_rangestamped::data

The scan data.

player_ranger_geom_t player_ranger_data_rangestamped::geom

The geometry of the device at the time the scan was acquired.

uint8_t player_ranger_data_rangestamped::have_config

If non-zero, the configuration data has been filled.

uint8_t player_ranger_data_rangestamped::have_geom

If non-zero, the geometry data has been filled.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45